## IAnjutaStreamSavable

IAnjutaStreamSavable — Implemented by plugins that can save file streams

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_stream_savable_error_quark ()
void | ianjuta_stream_savable_save ()

## Types and Values

#define | IANJUTA_STREAM_SAVABLE_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaStreamSavable

## Includes

    #include <libanjuta/interfaces/ianjuta-stream-savable.h>

## Description

## Functions

### ianjuta_stream_savable_error_quark ()

    GQuark
    ianjuta_stream_savable_error_quark (void);

### ianjuta_stream_savable_save ()

    void
    ianjuta_stream_savable_save (IAnjutaStreamSavable *obj,
                                 FILE *stream,
                                 GError **err);

## Types and Values

### IANJUTA_STREAM_SAVABLE_ERROR

    #define IANJUTA_STREAM_SAVABLE_ERROR ianjuta_stream_savable_error_quark()